<?php
/*
	Plugin Name:			EMISMS Notifications for WooCommerce
	Plugin URI: 			https://emisms.com
	Description:			Send SMS order notifications to admins and customers from your WooCommerce store. Powered by Emisms.com
	Author: 				Tunbosun Ayinla
	Author URI: 			https://bosun.me
	Version:                1.3.1
	WC requires at least:   3.0.0
	WC tested up to:        3.8
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( ! defined( 'EMISMS_WC_SMS_FILE' ) ) {
	define( 'EMISMS_WC_SMS_FILE', __FILE__ );
}
if ( ! defined( 'EMISMS_WC_SMS_DIR' ) ) {
	define( 'EMISMS_WC_SMS_DIR', dirname( __FILE__ ) );
}
if ( ! defined( 'EMISMS_WC_SMS_URL' ) ) {
	define( 'EMISMS_WC_SMS_URL', plugin_dir_url( __FILE__ ) );
}
if ( ! defined( 'EMISMS_WC_SMS_BASENAME' ) ) {
	define( 'EMISMS_WC_SMS_BASENAME', plugin_basename( __FILE__ ) );
}

if ( ! in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
	return;
}

require_once EMISMS_WC_SMS_DIR . '/includes/class-emisms-sms.php';

if ( is_admin() ) {
	require_once EMISMS_WC_SMS_DIR . '/includes/admin/class-emisms-sms-admin.php';
}
